GSPL-NETWCMD(8)

NAME
gspl-netwcmd - display network command for printer

SYNOPSIS
gspl-netwcmd [ -n ] printer [ form ]

DESCRIPTION
gspl-netwcmd can be used to extract the network (terminal server) printing command for a given printer and output it on standard output. This is often useful for testing terminal server commands from the command prompt in the event that error conditions arise and enquiring what a given command "would have been".

The current form type is used unless the form argument is given, but this generally should not make any difference.

A shell script is output to standard output containing the command. By default, all the $SPOOLDEV etc printer environment variables are expanded in the output where appropriate as the printer "would see it", however this may be suppressed by means of the -n option.

There is a very subtle difference if the "network" keyword is given with

        network exec ....

rather than "network" without "exec" or via "network=". In the first case, just the command is given, whereas in the other two cases the output is preceded with

        #! /bin/sh

and a blank line.

Comments are added if no "reopen" statement appears. An error will be generated if the printer is directly connected.

OPTIONS

-n  suppress the expansion of environment variables.

DIAGNOSTICS
An error will be reported if the printer is not a network-style (terminal server) printer.

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.